Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.report
Class ReportConfig

    java.lang.Object
      com.sun.mdm.index.report.ReportConfig

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  KeyStatisticsReportConfig, MultirowReportConfig1

public abstract class ReportConfig
extends java.lang.Object
implements java.io.Serializable

Base class for all report configurations

See Also:
  Serialized Form

Constructor Summary
`ReportConfig()`

Method Summary
`java.util.Date` | `getEndDate()` Gets the start date.
`java.lang.Integer` | `getMaxResultSize()` Gets the maximum result size for the search.
`java.lang.Integer` | `getPageSize()` Gets the maximum page size for the search.
`java.util.Date` | `getStartDate()` Gets the start date.
`void` | `setEndDate(java.util.Date date)` Sets the end date.
`void` | `setMaxResultSize(java.lang.Integer maxResultSize)` Sets the maximum number of records to be in the results.
`void` | `setPageSize(java.lang.Integer pageSize)` Sets the maximum number of records to be in the page.
`void` | `setStartDate(java.util.Date date)` Sets the start date.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportConfig

    public ReportConfig()

Method Detail

### getEndDate

    public java.util.Date getEndDate()

  Gets the start date.

  Returns:
    End Date.

### getMaxResultSize

    public java.lang.Integer getMaxResultSize()

  Gets the maximum result size for the search.

  Returns:
    The maximum result size.

### getPageSize

    public java.lang.Integer getPageSize()

  Gets the maximum page size for the search.

  Returns:
    The maximum page size.

### getStartDate

    public java.util.Date getStartDate()

  Gets the start date.

  Returns:
    Start Date.

### setEndDate

    public void setEndDate(java.util.Date date)

  Sets the end date.

  Parameters:
    `date` - End date that should be set.

### setMaxResultSize

    public void setMaxResultSize(java.lang.Integer maxResultSize)

  Sets the maximum number of records to be in the results.

  Parameters:
    `maxResultSize` - Maximum records to be in the results.

### setPageSize

    public void setPageSize(java.lang.Integer pageSize)

  Sets the maximum number of records to be in the page.

### setStartDate

    public void setStartDate(java.util.Date date)

  Sets the start date.

  Parameters:
    `date` - Start date that should be set.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.